Update SeaMonkey Safe Browsing to V4 api

RESOLVED FIXED in seamonkey2.66

Status

defect
RESOLVED FIXED
Last month
Last month

People

(Reporter: frg, Assigned: frg)

Tracking

(Blocks 1 bug)

Trunk
seamonkey2.66
All
Unspecified
Dependency tree / graph

SeaMonkey Tracking Flags

(seamonkey2.49esr wontfix, seamonkey2.53? affected, seamonkey2.57esr+ fixed, seamonkey2.63 wontfix)

Details

Attachments

(5 attachments, 1 obsolete attachment)

The Safe Browsing version 2 api has been retired. We need to switch to version 4.

part 1 update the lists to V4

Attachment #9072366 - Flags: review?(iann_bugzilla)
Attachment #9072366 - Flags: approval-comm-esr60?

Part 2 from IanN r+ from me with a changed string "safeb.blocked.harmfulPage.shortDesc" by me. For this to work Bug 1558585 needs to be later put into our 2.57 branch.

Attachment #9072367 - Flags: review+
Attachment #9072367 - Flags: approval-comm-esr60?

Part 3 Add DebugQA test link.

Bills next 2.53 build should contain the patches if someone wants to test it.

Attachment #9072368 - Flags: review?(iann_bugzilla)
Attachment #9072368 - Flags: approval-comm-esr60+
Comment on attachment 9072368 [details] [diff] [review]
1559578-3-debugqa.patch

Sticky fingers
Attachment #9072368 - Flags: approval-comm-esr60+ → approval-comm-esr60?
Attachment #9072367 - Flags: approval-comm-esr60? → approval-comm-esr60+
Comment on attachment 9072366 [details] [diff] [review]
1559578-1-seamonkeysafebrowsingV4.patch

r/a=me for 2.53
For 2.57 we should have switched to GOOGLE_SAFEBROWSING_API_KEY so different changes are needed.
Attachment #9072366 - Flags: review?(iann_bugzilla)
Attachment #9072366 - Flags: review+
Attachment #9072366 - Flags: approval-comm-esr60?
Attachment #9072366 - Flags: approval-comm-esr60+
Comment on attachment 9072368 [details] [diff] [review]
1559578-3-debugqa.patch

r/a=me
Attachment #9072368 - Flags: review?(iann_bugzilla)
Attachment #9072368 - Flags: review+
Attachment #9072368 - Flags: approval-comm-esr60?
Attachment #9072368 - Flags: approval-comm-esr60+

Drat overlooked the key. This patch is actually the 2.57 version. The v2 lists are dead but are still listed even in mozilla-central so we also need them here.

Api key fixed. r/a from IanN retained.

Attachment #9072366 - Attachment is obsolete: true
Attachment #9072377 - Flags: review+
Attachment #9072377 - Flags: approval-comm-esr60+

2.53 version r+ a+ from IanN retained.

Attachment #9072436 - Flags: review+
Attachment #9072436 - Flags: approval-comm-release+

2.53 version r+ a+ from me.

part 3 is identical to the existing part.

Attachment #9072437 - Flags: review+
Attachment #9072437 - Flags: approval-comm-release+
Comment on attachment 9072368 [details] [diff] [review]
1559578-3-debugqa.patch

a+ for 2.53
Attachment #9072368 - Flags: approval-comm-release+

Pushed by frgrahl@gmx.net:
https://hg.mozilla.org/comm-central/rev/d9d310226b37
Part 1: Switch to Safe Browsing V4 api. r=IanN
https://hg.mozilla.org/comm-central/rev/b7482b535da0
Part 2: Port Bug 1375277 - Add support for the POTENTIALLY_HARMFUL_APPLICATION threat type. r=frg
https://hg.mozilla.org/comm-central/rev/0a5868fe98d9
Part 3: Add link to potentially harmful testing site to Debug QA extension. r=IanN

Status: ASSIGNED → RESOLVED
Closed: Last month
Resolution: --- → FIXED

https://hg.mozilla.org/releases/comm-esr60/rev/fc286da02afb92c08c5f06b320225df549a2d38e
Part 1: Switch to Safe Browsing V4 api. r=IanN a=IanN
https://hg.mozilla.org/releases/comm-esr60/rev/6a234f9c3a668fde1864122189c390cffddbaf0d
Part 2: Port Bug 1375277 - Add support for the POTENTIALLY_HARMFUL_APPLICATION threat type. r=frg a=IanN
https://hg.mozilla.org/releases/comm-esr60/rev/754234eba8034cc242f13c18c4f9d4eb938ed36b
Part 3: Add link to potentially harmful testing site to Debug QA extension. r=IanN a=IanN

Target Milestone: --- → seamonkey2.66
You need to log in before you can comment on or make changes to this bug.